Activity log for bug #992378

Date Who What changed Old value New value Message
2012-05-01 04:52:52 Richard Laager bug added bug
2012-05-01 04:53:57 Richard Laager bug added subscriber Wiktel
2012-05-01 13:20:12 Serge Hallyn libvirt (Ubuntu): status New Triaged
2012-05-01 13:20:18 Serge Hallyn libvirt (Ubuntu): importance Undecided Medium
2012-05-01 13:20:27 Serge Hallyn nominated for series Ubuntu Precise
2012-05-01 13:20:27 Serge Hallyn bug task added libvirt (Ubuntu Precise)
2012-05-01 13:20:27 Serge Hallyn nominated for series Ubuntu Quantal
2012-05-01 13:20:27 Serge Hallyn bug task added libvirt (Ubuntu Quantal)
2012-05-02 19:00:24 Serge Hallyn libvirt (Ubuntu Quantal): status Triaged In Progress
2012-05-02 19:05:13 Launchpad Janitor libvirt (Ubuntu Quantal): status In Progress Fix Released
2012-05-02 19:09:22 Serge Hallyn description When using an iSCSI storage pool, libvirt tries to run /lib/udev/scsi_id, which is denied: type=1400 audit(1335826589.499:26): apparmor="DENIED" operation="exec" parent=29400 profile="/usr/sbin/libvirtd" name="/lib/udev/scsi_id" pid=30552 comm="libvirtd" requested_mask="x" denied_mask="x" fsuid=0 ouid=0 The apparmor policy should allow execution of /lib/udev/scsi_id. ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: libvirt-bin 0.9.8-2ubuntu17 ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14 Uname: Linux 3.2.0-24-generic x86_64 ApportVersion: 2.0.1-0ubuntu7 Architecture: amd64 Date: Mon Apr 30 23:49:46 2012 InstallationMedia: Ubuntu-Server 12.04 LTS "Precise Pangolin" - Release amd64 (20120424.1) ProcEnviron: TERM=xterm LANG=en_US.UTF-8 SHELL=/bin/bash SourcePackage: libvirt UpgradeStatus: No upgrade log present (probably fresh install) modified.conffile..etc.apparmor.d.local.usr.sbin.libvirtd: # Site-specific additions and overrides for usr.sbin.libvirtd. # For more details, please see /etc/apparmor.d/local/README. /lib/udev/scsi_id PUx, modified.conffile..etc.logrotate.d.libvirtd: [modified] modified.conffile..etc.logrotate.d.libvirtd.lxc: [modified] modified.conffile..etc.logrotate.d.libvirtd.qemu: [modified] modified.conffile..etc.logrotate.d.libvirtd.uml: [modified] mtime.conffile..etc.apparmor.d.local.usr.sbin.libvirtd: 2012-04-30T21:41:20.815809 mtime.conffile..etc.logrotate.d.libvirtd: 2012-04-30T17:53:14.571061 mtime.conffile..etc.logrotate.d.libvirtd.lxc: 2012-04-30T17:53:14.575062 mtime.conffile..etc.logrotate.d.libvirtd.qemu: 2012-04-30T17:53:14.575062 mtime.conffile..etc.logrotate.d.libvirtd.uml: 2012-04-30T17:53:14.579062 ================================================ SRU Justification: 1. Impact: virtual machines using an iSCSI storage pool do not work 2. Development fix: allow libvirt to execute /lib/udev/scsi_id 3. Stable fix: same as development fix 4. Test case: use an iscsi storage pool as backing store for a vm in libvirt, and try to start it. 5. Regression potential: if there were a syntax error in the update, the apparmor policy could refuse to load. Otherwise none. ================================================ When using an iSCSI storage pool, libvirt tries to run /lib/udev/scsi_id, which is denied: type=1400 audit(1335826589.499:26): apparmor="DENIED" operation="exec" parent=29400 profile="/usr/sbin/libvirtd" name="/lib/udev/scsi_id" pid=30552 comm="libvirtd" requested_mask="x" denied_mask="x" fsuid=0 ouid=0 The apparmor policy should allow execution of /lib/udev/scsi_id. ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: libvirt-bin 0.9.8-2ubuntu17 ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14 Uname: Linux 3.2.0-24-generic x86_64 ApportVersion: 2.0.1-0ubuntu7 Architecture: amd64 Date: Mon Apr 30 23:49:46 2012 InstallationMedia: Ubuntu-Server 12.04 LTS "Precise Pangolin" - Release amd64 (20120424.1) ProcEnviron:  TERM=xterm  LANG=en_US.UTF-8  SHELL=/bin/bash SourcePackage: libvirt UpgradeStatus: No upgrade log present (probably fresh install) modified.conffile..etc.apparmor.d.local.usr.sbin.libvirtd:  # Site-specific additions and overrides for usr.sbin.libvirtd.  # For more details, please see /etc/apparmor.d/local/README.  /lib/udev/scsi_id PUx, modified.conffile..etc.logrotate.d.libvirtd: [modified] modified.conffile..etc.logrotate.d.libvirtd.lxc: [modified] modified.conffile..etc.logrotate.d.libvirtd.qemu: [modified] modified.conffile..etc.logrotate.d.libvirtd.uml: [modified] mtime.conffile..etc.apparmor.d.local.usr.sbin.libvirtd: 2012-04-30T21:41:20.815809 mtime.conffile..etc.logrotate.d.libvirtd: 2012-04-30T17:53:14.571061 mtime.conffile..etc.logrotate.d.libvirtd.lxc: 2012-04-30T17:53:14.575062 mtime.conffile..etc.logrotate.d.libvirtd.qemu: 2012-04-30T17:53:14.575062 mtime.conffile..etc.logrotate.d.libvirtd.uml: 2012-04-30T17:53:14.579062
2012-05-03 12:30:07 Martin Pitt libvirt (Ubuntu Precise): status New Fix Committed
2012-05-03 12:30:10 Martin Pitt bug added subscriber Ubuntu Stable Release Updates Team
2012-05-03 12:30:14 Martin Pitt bug added subscriber SRU Verification
2012-05-03 12:30:20 Martin Pitt tags amd64 apport-bug precise amd64 apport-bug precise verification-needed
2012-05-06 08:04:17 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/libvirt
2012-05-06 08:04:29 Launchpad Janitor branch linked lp:ubuntu/libvirt
2012-05-14 10:30:17 Martin Pitt tags amd64 apport-bug precise verification-needed amd64 apport-bug precise verification-done
2012-05-14 23:24:09 Launchpad Janitor libvirt (Ubuntu Precise): status Fix Committed Fix Released